declare const _default: import("vue").DefineComponent<{}, {
    text: string;
    icon: string;
    medium: boolean;
    regular: boolean;
    bodyLarge: boolean;
    bodyMedium: boolean;
    tagType: string;
    tagSize: string;
    emoji: string;
    supportingText: string;
    anonym: boolean;
    cellType: string;
    cellWidth: number;
    tagItems: unknown[];
    avatar?: string | undefined;
    leadingItem?: string | undefined;
    $props: {
        readonly text?: string | undefined;
        readonly icon?: string | undefined;
        readonly medium?: boolean | undefined;
        readonly regular?: boolean | undefined;
        readonly bodyLarge?: boolean | undefined;
        readonly bodyMedium?: boolean | undefined;
        readonly tagType?: string | undefined;
        readonly tagSize?: string | undefined;
        readonly emoji?: string | undefined;
        readonly supportingText?: string | undefined;
        readonly anonym?: boolean | undefined;
        readonly cellType?: string | undefined;
        readonly cellWidth?: number | undefined;
        readonly tagItems?: unknown[] | undefined;
        readonly avatar?: string | undefined;
        readonly leadingItem?: string | undefined;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
